/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine AT ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * $Id: SWFModuleVO.as 6137 2010-02-28 20:12:52Z renaultgu $
 */
package org.ow2.jasmine.kerneos.core.vo
{
import com.adobe.cairngorm.vo.IValueObject;


/**
 * A SWF module deployed in Kerneos.
 *
 * @author Guillaume Renault
 * @author Julien Nicoulaud
 */
[RemoteClass(alias="org.ow2.jasmine.kerneos.config.generated.SwfModule")]
[Bindable]
public class SWFModuleVO extends ModuleWithWindowVO implements IValueObject
{

    // =========================================================================
    // Properties
    // =========================================================================

    /**
    * The SWF file path.
    */
    public var file : String = null;

    /**
    * The module services.
    */
    public var services : ServicesVO = null;

    /**
    * The associated shared libraries.
    */
    public var sharedLibraries : SharedLibrariesVO = null
}
}
